package com.loganmagnan.eventcore.managers.event;

import com.loganmagnan.eventcore.managers.event.teams.Team;
import com.loganmagnan.eventcore.utils.CustomLocation;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@RequiredArgsConstructor
public class Event {

    private String name;

    private CustomLocation spawnPoint;

    private List<Team> teams;

    private int amountOfTeams;
    private int amountPerTeam;

    private List<CustomLocation> teamSpawnPoints;

    private String duration;

    private boolean scoreboardEnabled;
    private boolean timerEnabled;
    private boolean blockPlaceEventCancelled;
    private boolean blockBreakEventCancelled;
}
